Package org.apache.felix.hc.core.impl.filter

## Class ServiceUnavailableFilter

- java.lang.Object
- - org.apache.felix.hc.core.impl.filter.ServiceUnavailableFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

    public class ServiceUnavailableFilter
    extends Object
    implements jakarta.servlet.Filter

Returns a 503 Service Unavailable Page if certain tags are in non-ok result.

### Nested Class Summary

Nested Classes
`static interface` `ServiceUnavailableFilter.Config`
`class` `ServiceUnavailableFilter.UnregisteringFilterThread`

### Constructor Summary

Constructors
`ServiceUnavailableFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext bundleContext, org.osgi.service.component.ComponentContext componentContext, ServiceUnavailableFilter.Config config)`
`protected void` `deactivate()`
`void` `destroy()`
`void` `doFilter​(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain filterChain)`
`void` `init​(jakarta.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceUnavailableFilter

    public ServiceUnavailableFilter()

### Method Detail

#### activate

    protected final void activate​(org.osgi.framework.BundleContext bundleContext,
                                  org.osgi.service.component.ComponentContext componentContext,
                                  ServiceUnavailableFilter.Config config)
                           throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### deactivate

    protected final void deactivate()

#### doFilter

    public void doFilter​(jakarta.servlet.ServletRequest request,
                         jakarta.servlet.ServletResponse response,
                         jakarta.servlet.FilterChain filterChain)
                  throws IOException,
                         jakarta.servlet.ServletException

Specified by:
  `doFilter` in interface `jakarta.servlet.Filter`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`

#### init

    public void init​(jakarta.servlet.FilterConfig filterConfig)
              throws jakarta.servlet.ServletException

Specified by:
  `init` in interface `jakarta.servlet.Filter`
Throws:
  `jakarta.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `jakarta.servlet.Filter`